package com.icomsys.main_vm.biz.rcp.conversation.nlp.wisenut.service;

import com.icomsys.main_vm.biz.rcp.conversation.nlp.wisenut.vo.InferenceAPIResponseDTO;
import com.icomsys.main_vm.biz.rcp.conversation.nlp.wisenut.vo.NlpSimulationResult;
import com.icomsys.main_vm.biz.rcp.conversation.nlp.wisenut.vo.NlpWisenutResult;


public interface NlpWisenutService {

	public NlpWisenutResult projectSettingApi() ;

	public InferenceAPIResponseDTO multiQueryApi(int projectId, String[] query)  ;

	public NlpSimulationResult simulationApi(String oprMngCode, String callId, String token, String userTalk, String methodType, String dnis)  ;

	// 학습 시작 api
	public NlpWisenutResult trainingStartApi(String oprMngCode)  ;

	// 모델 반영 api
	public NlpWisenutResult trainingApplyApi(String oprMngCode)  ;

	public NlpWisenutResult defaultResult()  ;
}
